import {} from '../SourceFile.js';
export class PromiseType {
    resultingType;
    constructor(resultingType) {
        this.resultingType = resultingType;
    }
    get canBePassedByReference() {
        // It's a future<..>, it cannot be copied.
        return true;
    }
    get kind() {
        return 'promise';
    }
    getCode(language) {
        const resultingCode = this.resultingType.getCode(language);
        switch (language) {
            case 'c++':
                return `std::future<${resultingCode}>`;
            case 'swift':
                return `Promise<${resultingCode}>`;
            case 'kotlin':
                return `Promise<${resultingCode}>`;
            default:
                throw new Error(`Language ${language} is not yet supported for PromiseType!`);
        }
    }
    getExtraFiles() {
        return this.resultingType.getExtraFiles();
    }
    getRequiredImports() {
        return [
            {
                language: 'c++',
                name: 'future',
                space: 'system',
            },
            ...this.resultingType.getRequiredImports(),
        ];
    }
}
